# handleMysteryEncounterVictory | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function handleMysteryEncounterVictory

- handleMysteryEncounterVictory(
  addHealPhase?: boolean,
  doNotContinue?: boolean,
  ): void

  #### Parameters

  - addHealPhase: boolean = false

    Adds an empty shop phase to allow player to purchase healing items

  - doNotContinue: boolean = false

    default `false`. If set to true, will not end the battle and continue to next wave

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:863